Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008342opensim[REGION] OpenSim Corepublic2018-07-18 18:132018-08-16 07:48
ReporterMandarinka Tasty 
Assigned ToUbitUmarov 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.9.0.1 
Target VersionFixed in Versionmaster (dev code) 
Summary0008342: Update float BAN_LINE_SAFETY_HEIGHT to new value 5000 due to SL.
DescriptionBan lines are limited to a height of 5000 m above the terrain mesh when you're explicitly banned from the land.
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineBasicPhysics, ODE, BulletSim, ubODE
EnvironmentMono / Linux32, Mono / Linux64, Mono / Windows, Mono / OSX, .NET / Windows32, .NET / Windows64
Mono Version5.x
Viewer
Attached Filespatch file icon 0001-Update-float-BAN_LINE_SAFETY_HEIGHT-to-new-value-500.patch [^] (973 bytes) 2018-07-18 18:13 [Show Content]
patch file icon 0001-Effective-ban-on-every-possible-height-with-addition.patch [^] (5,754 bytes) 2018-07-24 12:39 [Show Content]

- Relationships

-  Notes
(0032810)
UbitUmarov (administrator)
2018-07-21 09:09

Not sure about this one.
One should be able to fly around on areas like so called "mainland" without the need to be a satélite.

Keeping the more reasonable 100m for now.

Thanks anyway :)
(0032812)
UbitUmarov (administrator)
2018-07-21 09:11

This may actually be a candidate to be a region option.
(0032813)
UbitUmarov (administrator)
2018-07-21 10:41

made this option BanLineSafeHeight on opensim.ini files
note that like other land options it does apply to all regions on same instance.

range 20 to 5000, default 100m
Thanks
(0032820)
Mandarinka Tasty (reporter)
2018-07-21 21:27

Ok, let it be )

I was also considering adding config option to ini files, but in my case, question of privacy and security has won with opportunity of flying by banned avatar over the area, where the avatar has been banned.

Config option is always good for OpenSim, it gives freedom of choice and I agree with addition of config line. But I still would set default value of the float to 5000.

Let me introduce my style of thinking.

The setting default value to 5000 allows for almost everyone to fly above the area, it only forbids that to the banned avatar. Hence the banned avatar should not be considered as an example of "one" who should be able to fly around.

The banned avatar has been banned for the reasons and parcel owner did that intentionally. The banned avatar is an individual = does not represent all community by his/her presence on the area, where ban has been applied.

Last weeks ago, I have watched nice movie about Escobar from Colombia: "Loving Pablo". He was sent to the prison and created paradise in the jail = luxury life. Why i mention about it here ?

Because setting default value to 100, creates such Escobar case in OpenSim => the banned avatar flies over 100m for example: 110m, and start to laugh from parcel owner and starts to stalk and use camera etc etc etc. Where we can see serious protection of parcel owner in setting default value to 100m ?

The answer is nowhere. Probably one can say, there exist security scripted tools (devices) = orbs. Yes, they exist in Opensim in a very less minority, but i do not like to force anyone to purchase anything. The security orbs should be used in a much more particular scenarios, to cover some defined areas like cubes, spheres etc. They also require some configuration and usual resident should not be considered as a person who knows everything about scripted devices. The usual resident opens floater of the viewer with ban list and adds the person and expects, it will work on every point of his/her parcel, on every altitude.

There have appeared many regions in grids, where there are offered free parcels for residents. There have also been added very nice skyboxes, located on different altitudes, to give feeling of privacy to those residents.

And they expect that ban system in the viewer will protect them against residents, who have deserved for the ban = punishment. They do not wish that banned avatar will fly to their skybox and start to attack, to laugh etc.

I am sure that those reasons that have been introduced above, clearly show the necessity of setting default value to 5000.

The ideal solution would be creating possibility to cover some areas located between two different altitudes. I know how to do that on server side, it is easy. But to make it work for every parcel owner, it requires creating appropriate options in the viewer and that is big stop.

Please also look at the code, float BAN_LINE_SAFETY_HEIGHT is applied with bool IsBannedFromLand. The bool IsRestrictedFromLand does not work with any other float. Hence due to logical thinking, we worry about lost of possibility of fly over the area by banned avatar and we do not worry about lack of possibility of fly over the restrcited area. Isnt it illogical ?

So, please consider to set default value to 5000 and do not forget about adding required lines to ini files too )

Let simulators' operators decide about what value they want to set in their ini files after consulting with region owners/managers who perfectly know what community they have on their regions.
(0032821)
tampa (reporter)
2018-07-23 02:58

5000 is insanely high for a plane or avatar to fly to, it would take quite some time to get there. With view distance at the most being 1024m there is no point from the perspective of stalking someone. Much less when someone in an adjacent region can just look into the region using child agents.

Generally, outside of just not liking someone or concerns for coppa or other protection acts for minors you almost always have a reason for banning someone easily severe enough to look towards banning them from more than one region or even entire grids. I don't think any grid operator would look favorable toward people stalking each other, I certainly don't.

To the point about child agent view into regions, yes that too can be turned off, not selectively, but entirely should a user really feel the need to.

In reality there are a few ways to circumvent bans as well and it really can be a struggle to get rid of someone determined enough.

Now with land being fairly easy to setup and plentiful everywhere there is almost no need for skyboxes outside of just being too lazy to teleport to another region. Even then it would make more sense to implement parcels that are full 3d cubes rather than just banlines on the land. Such implementation however would require changes to the viewer to recognize these new parcels in the 3d space and with the current attitude of viewers towards OpenSim, even those who historically have been more accommodating towards the project, I am not sure this will ever become a thing. Not to mention writing the code on the server side to begin with.

It would be nice to eventually see this setting replace the SizeZ parameter of the regions.ini perhaps or a MaxParcelHeight per region, that I think would be the most to hope for for now.

Terrain and parcels along with all that depends on them, including water, really needs to be brought into the new generation of voxel terrains and complex 3d spaces you now see in most games and even as pre-packaged software asset available on the stores of the popular game engines such as Unity and Unreal Engine, but that again would be a huge undertaking on both server and viewer side which is unlikely to happen without a serious investment from either community developers or a company(which would then also have to release that code under a usable license as well).

P.S. comparing this to the vile creature that was Escobar is an unfair comparison if I ever seen one
(0032822)
tampa (reporter)
2018-07-23 02:59

Uh also, Ubit, mind documenting the change in the OpenSim or Defaults ini for those looking to adjust it, not entirely clear from the change where to add the parameter outside of reading code :)
(0032824)
Mandarinka Tasty (reporter)
2018-07-23 06:44

I only repeat: the banned avatar should not have any rights to be present on the parcel, where he/she has been banned by parcel owner. That's simple and straight statement. The banned resident can be present on other parcels in the region.

If John Smith has been banned, then still other avatars are able to use their planes, boats, cars, trains and whatever they want and wish over the parcel, where John is banned. Why it is so hard to understand and accept?

Private opinions about skyboxes if they are useful or not, are meaningless at this debate.
Resident, who uses skybox, due to his/her wish, should have right to feel secured against banned avatar on every possible altitude = height, above the parcel, he/she owns.

I only agree, as I have mentioned in my earlier words, with opinion, that fully three-dimensional character of parcels would be very useful, but for now, it is simply almost science fiction. By the way, historical accomodation and involvement of anyone, should not be the most important factor within discussion about the future.

And now little about strict binary logics:

public bool CanBeOnThisLand(UUID avatar, float posHeight)
{
    if (posHeight < m_scene.LandChannel.BanLineSafeHeight && IsBannedFromLand(avatar))
    {
        return false;
    }
    else if (IsRestrictedFromLand(avatar))
    {
        return false;
    }
    return true;
}

You worry, that banned persons loses rights to fly or use the plane under first condition and you do not worry about the analogous lack of possibility to fly under second condition ?

I didn't want to mention about the second condition, but I only remind definion:

Ban lines are limited to a height of 5000 m above the terrain mesh when you're explicitly banned from the land. If the parcel is simply not pubic access or restricted to certain Residents/groups, then the lines go up to 50 m above the terrain mesh. http://wiki.secondlife.com/wiki/Ban [^]
(0032826)
tampa (reporter)
2018-07-23 07:10

Your suggestion was to change them to 5000 meters, but OpenSim regions have infinite height, so no matter what you set the setting to they will always be able to fly over it. I merely suggested that it would be useful for those who wish to allow people to still traverse to other parcels or regions, while not being able to enter certain spaces and that 5000 meters is a bit hard to get to outside of teleporting.

You want strict parcel banning no mater the altitude, then provide a patch.

Within OpenSim the amount of regions containing parcels that are banned to some people but not all, or contain multiple different owners are actually fairly rare. OpenSim land is magnitudes cheaper and easier to obtain than SL, so most people usually have entire regions to themselves instead of just parcels, so the amount of users for a config option such as this would be fairly low and I am usually the last to say no to a new config option.

Now with whether this should be infinite in height, aka boolean type bans or limited in height would be something the user of the parcel itself should be allowed to chose, not the simulator operator underneath. This in turn would require a new viewer option for "banline height limit" if 0 = infinite or something along those lines. Especially if you argue about giving the individual user of the parcel more power who they ban and how that would look.

Beyond that though, OpenSim is not SL and never will be. There are differences and more strict or even less strict rules, restrictions and mechanics in place aimed at a different audience. SL is not a standard that OpenSim, must, at all costs, adhere to.
(0032828)
watcher64 (reporter)
2018-07-23 08:02

I think the thing is here, that ban lines are not just ban lines, they may also affect the other access lists, and group access lists, I might be wrong but I think so ..

So person may not be banned but not in that group and still end up having to fly up to 5000 to get over a parcel, that does not seem like an ideal solution, since people often use those things incorrectly ..
(0032829)
UbitUmarov (administrator)
2018-07-23 10:14

This issue may require some revision on some code areas, related to parcels access control, avatars privacy, etc.
(0032831)
Mandarinka Tasty (reporter)
2018-07-24 12:44

I've added new patch that allows for banning the avatar on every possible altitude=height. Patch works with config line BanLineSafeHeight.

To enable it, please set BanLineSafeHeight = 0.

I've made some tests within my simulators. If there some remarks pleasa share it. The patch is a compromise between limited ban zone and infinite ban zone concepts.
(0032838)
Fly-Man- (developer)
2018-07-27 11:58

Fixed in e15fca60d1efcfe32e795e3494e35bdae26111e2

Mantis8342: make max ban height above ground configurable per regions instance with ini file option BanLineSafeHeight

- Issue History
Date Modified Username Field Change
2018-07-18 18:13 Mandarinka Tasty New Issue
2018-07-18 18:13 Mandarinka Tasty File Added: 0001-Update-float-BAN_LINE_SAFETY_HEIGHT-to-new-value-500.patch
2018-07-18 18:14 Mandarinka Tasty Status new => patch included
2018-07-21 09:09 UbitUmarov Note Added: 0032810
2018-07-21 09:11 UbitUmarov Note Added: 0032812
2018-07-21 10:41 UbitUmarov Note Added: 0032813
2018-07-21 21:27 Mandarinka Tasty Note Added: 0032820
2018-07-23 02:58 tampa Note Added: 0032821
2018-07-23 02:59 tampa Note Added: 0032822
2018-07-23 06:44 Mandarinka Tasty Note Added: 0032824
2018-07-23 07:10 tampa Note Added: 0032826
2018-07-23 08:02 watcher64 Note Added: 0032828
2018-07-23 10:14 UbitUmarov Note Added: 0032829
2018-07-24 12:39 Mandarinka Tasty File Added: 0001-Effective-ban-on-every-possible-height-with-addition.patch
2018-07-24 12:44 Mandarinka Tasty Note Added: 0032831
2018-07-24 12:44 Mandarinka Tasty Status patch included => patch feedback
2018-07-27 11:58 Fly-Man- Note Added: 0032838
2018-07-27 11:58 Fly-Man- Status patch feedback => resolved
2018-07-27 11:58 Fly-Man- Fixed in Version => master (dev code)
2018-07-27 11:58 Fly-Man- Resolution open => fixed
2018-07-27 11:58 Fly-Man- Assigned To => UbitUmarov


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker